# Class: EventDescriptor

## EventDescriptor

#### new EventDescriptor()

Source:
  - core/meta/event-descriptor.js, line 11

### Members

#### detailKeys :Array.<string>

List of key for the details dictionary

##### Type:

- Array.<string>

Default Value:
  - []
Source:
  - core/meta/event-descriptor.js, line 149

#### identifier :string

The identifier is the name of the event descriptor, dot, the name of the event descriptor, and is used to make the serialization of property descriptors more readable.

##### Type:

- string

Default Value:
  - `this.name`
Source:
  - core/meta/event-descriptor.js, line 131

#### (readonly) name :string

Name of the object. The name is used to define the property on the object.

##### Type:

- string

Source:
  - core/meta/event-descriptor.js, line 117

#### owner :Component

Component description attached to this event descriptor.

##### Type:

- Component

Source:
  - core/meta/event-descriptor.js, line 101

### Methods

#### initWithNameAndBlueprint(name, objectDescriptor)

Initialize a newly allocated event descriptor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string | name of the event descriptor to create
`objectDescriptor` | ObjectDescriptor |

Deprecated:
  - Yes
Source:
  - core/meta/event-descriptor.js, line 45

##### Returns:

itself

#### initWithNameAndObjectDescriptor(name, objectDescriptor)

Initialize a newly allocated event descriptor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string | name of the event descriptor to create
`objectDescriptor` | ObjectDescriptor |

Source:
  - core/meta/event-descriptor.js, line 29

##### Returns:

itself